[script]
n0=:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
n1=:::::               XcLusive Script                       :::::
n2=:::::               Baglantı Menüsü                       :::::
n3=:::::               Coded By HaLiL                        :::::
n4=:::::              HaLiL@AhKalbim.Net                     :::::
n5=:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
n6=alias baglan {
n7=  if (!$dialog(baglan)) { dialog -m baglan baglan }
n8=  else { dialog -v baglan }
n9=}
n10=alias dx dialog -x $dname $dname
n11=dialog baglan {
n12=  title "XcLusive Script"
n13=  size -1 -1 147 106
n14=  option dbu
n15=  icon $mircdirikon\6.ico, 0
n16=  text "Nick'iniz:", 2, 8 14 35 8, right
n17=  text "Identiniz:", 3, 8 27 35 8, right
n18=  edit "", 6, 47 13 90 10, autohs
n19=  edit "", 7, 47 26 90 10, autohs
n20=  check "", 9, 47 66 8 10
n21=  combo 11, 47 39 91 61, size edit drop
n22=  text "Server:", 12, 17 40 27 8, right
n23=  button "IRC Serverine Bağlan", 13, 10 80 128 15
n24=  box "Bağlantı Ayarları", 1, 4 3 139 98
n25=  button "Ekle", 4, 46 53 30 10
n26=  button "Sil", 5, 77 53 30 10
n27=  button "Düzenle", 8, 108 53 30 10
n28=  text "Yeni Server Penceresi Aç", 10, 56 67 85 8
n29=}
n30=
n31=on 1:dialog:baglan:*:*:{
n32=  if $devent == init {
n33=    dll $mdx SetMircVersion $version
n34=    dll $mdx MarkDialog $dname
n35=    dll $mdx SetDialog $dname bgcolor $bgcolor
n36=    var %idset2 = 13
n37=    set %idset 0
n38=    :idset
n39=    inc %idset 1
n40=    dll $mdx SetColor $dname %idset textbg $bgcolor
n41=    dll $mdx SetColor $dname %idset background $bgcolor
n42=    dll $mdx SetColor $dname %idset text $txtcolor
n43=    dll $mdx SetFont $dname %idset 13 800 Verdana
n44=    if %idset < %idset2 goto idset
n45=    did -a $dname 6 $nick
n46=    did -a $dname 7 $emailaddr
n47=    loadserver $dname
n48=  }
n49=  if $devent == edit {
n50=    if $did == 6 { 
n51=      if ($did(6).text == $null) { halt }
n52=      else { if (!$server) { .nick $did(6).text } }
n53=    }
n54=    if $did == 7 {
n55=      if ($did(7).text == $null) { halt }
n56=      else { .emailaddr $did(7).text }
n57=    }
n58=  }
n59=  if $devent == sclick {
n60=    if $did == 13 { 
n61=      if $did(9).state == 1 { 
n62=        server -n
n63=        var %ms $scon(0)
n64=        scon %ms nick $did(6).text
n65=        scon %ms server $did(11).text 
n66=        dx
n67=      }
n68=      else { .nick $did(6).text | server $did(11).text | dx | halt }
n69=    }
n70=    if $did == 4 { sadd  }
n71=    if $did == 5 { 
n72=      var %s = $did(11).text
n73=      $iif($input(%s Sunucusunu Silmek İstediğinize Eminmisiniz?,yw,Uyarı),write -ds $+ %s sys\servers.txt,return)
n74=      loadserver $dname
n75=    }
n76=    if $did == 8 { set %dsunucu $did(11).text | schg }
n77=  }
n78=  if $devent == close {
n79=    if (!$server) { server irc.ahkalbim.net }
n80=  }
n81=}
n82=dialog sadd {
n83=  title "XcLusive Script"
n84=  size -1 -1 113 65
n85=  option dbu
n86=  icon $mircdirikon\6.ico, 0
n87=  box "Sunucu Ekle", 1, 4 4 106 39
n88=  text "Eklenecek Sunucu:", 2, 10 15 96 8
n89=  edit "", 3, 10 28 94 10, autohs
n90=  button "Ekle", 4, 13 46 40 15, flat
n91=  button "Iptal", 5, 61 46 40 15, flat cancel
n92=}
n93=alias sadd dialog -m sadd sadd 
n94=on 1:dialog:sadd:*:*:{
n95=  if $devent == init {
n96=    idset 5
n97=  }
n98=  if $devent == sclick {
n99=    if $did == 4 { write sys\servers.txt $did(3).text | loadserver baglan | dx }
n100=  }
n101=}
n102=dialog schg {
n103=  title "XcLusive Script"
n104=  size -1 -1 113 65
n105=  option dbu
n106=  icon $mircdirikon\6.ico, 0
n107=  box "Sunucu Değiştir", 1, 4 4 106 39
n108=  text "Değiştirilecek Sunucu:", 2, 10 15 96 8
n109=  edit "", 3, 10 28 94 10, autohs
n110=  button "Ekle", 4, 13 46 40 15, flat
n111=  button "Iptal", 5, 61 46 40 15, flat cancel
n112=}
n113=alias schg dialog -m schg schg
n114=on 1:dialog:schg:*:*:{
n115=  if $devent == init {
n116=    idset 5
n117=    did -a $dname 3 %dsunucu
n118=  }
n119=  if $devent == sclick {
n120=    if $did == 4 { 
n121=      write -ds $+ %dsunucu sys\servers.txt
n122=      write sys\servers.txt $did(3).text
n123=      loadserver baglan 
n124=      dx
n125=    }
n126=  }
n127=}
n128=alias loadserver {
n129=  did -r $1 11
n130=  did -a $1 11 irc.ahkalbim.net
n131=  var %servers = $lines(sys\servers.txt)
n132=  var %s2vers = 1
n133=  while (%s2vers <= %servers) {
n134=    did -a $1 11 $read(sys\servers.txt,%s2vers)
n135=    inc %s2vers 1
n136=  }
n137=  did -c $1 11 1
n138=}
n139=alias nbalon dll systray.dll Balloon 50 1 > ..::Notify Bildirimi::.. > $1-
n140=on ^*:notify:{
n141=  if $nick == XcLusive { if ($network == kelebek) || ($network == gencsite) || ($network == kelebek.org) {
n142=      nbalon XcLusive Script Yapımcısı $nick Şuan Online
n143=      else { halt }
n144=      halt
n145=    }
n146=  }
n147=  else { nbalon $nick IRC'de Online | halt }
n148=  halt
n149=}
n150=on ^*:unotify:{
n151=  if $nick == XcLusive { if ($network == kelebek) || ($network == gencsite) || ($network == kelebek.org) {
n152=      nbalon XcLusive Script Yapımcısı $nick IRC'den Ayrildi
n153=      else { halt }
n154=      halt
n155=    }
n156=  }
n157=  else { nbalon $nick IRC'den Ayrildi (OffLine) | halt }
n158=  halt
n159=}
